Plasma 5 Add-Ons applet appmenu plasma5 window

Source (link to git-repo or to original if based on someone elses unmodified work): https://github.com/psifidotos/applet-window-appmenu

19
Score 82.9%
Description:

This is a Plasma 5 applet that shows the current window appmenu in your panels. This plasmoid is coming from Latte land but it can also support Plasma panels.

------
To install it you should build it yourself, installing it from Plasma Widgets Explorer directly wont work.

Requires:
-- Qt >= 5.9
-- KF5 >= 5.38
-- Plasma >= 5.12

Qt elements: Quick Widgets DBus
KF5 elements: Plasma WindowSystem
X11 libraries: XCB RandR

--------
You can use: sh install.sh , in order to install it if you have previous development packages available
Last changelog:

Version 0.5.1 18 days ago

* fix buttons vertical positioning. Previously there were cases where buttons had 1px. difference with surrounding applets

dinhokusanagi

9 days ago

I would like this information to be put into the documentation

1 - INSTALL THE DEPENDENCE ON THE TEXT FILE INSTALLATION

2 - chmod a + x install.sh

3 - ./install.sh

Report

rokre22

18 days ago

10 10 the best

Report

trompita

1 month ago

Hi! when I try to compile I have this bug:

Got unknown type `a(ia{sv})'
You should add to the XML description
make[2]: *** [plugin/libdbusmenuqt/CMakeFiles/dbusmenuqt.dir/build.make:66: plugin/libdbusmenuqt/dbusmenu_interface.cpp] Error 1
make[1]: *** [CMakeFiles/Makefile2:565: plugin/libdbusmenuqt/CMakeFiles/dbusmenuqt.dir/all] Error 2
make: *** [Makefile:141: all] Error 2

My distro is Manjaro. I compile your Window Button Applet, so I guess that is not a dependencies problem. Aah, I tried to compile previous versions with the same error.
:'c

Report

C

Psifidotos

1 month ago

https://github.com/psifidotos/applet-window-appmenu/issues for reporting issues

Report

S

giuliv

1 month ago

8 8 great

Report

lebill

1 month ago

Hello. After a what seems successful installation, the plasmoid gives the following error:

Error loading QML file: file:///usr/share/plasma/plasmoids/org.kde.windowappmenu/contents/ui/main.qml:29:1: module "org.kde.private.windowAppMenu" is not installed

Any help to solve this issue would be appreciated. Thank you.

Report

C

Psifidotos

1 month ago

you need to build and install this applet, you can NOT just added from Plasma Widgets Explorer. If you tried to build it and same things happen then open a bug report at: https://github.com/psifidotos/applet-window-appmenu/issues

containing also the output of your entire build process in command line

Report

wagner_william

1 month ago

9 9 excellent

Report

prangija

1 month ago

Great applet, thank you for implementing it :) I have one question/feature request: could you maybe implement the option to keep the application menu hidden until user hovers with mouse cursor over the applet in the panel? This would be great as it wouldn't clutter the panel all the time, while the application is active. The same feature would be great for the window buttons applet as well ;)

Report

C

Psifidotos

1 month ago

In Latte git version if you use windows title and Window AppMenu they both provide a Unity behavior option that you can enable.

In Unity mode the window title is shown by default until you hover it and the appmenu appears instead.

Report

prangija

1 month ago

Oh wow, that's great :) Didn't know about that one. I just installed the git version of Latte and set up everything as I wanted it to behave. Thanks for the info. Do you maybe know when will stable Latte version with these functionalities be released?

Report

C

Psifidotos

1 month ago

Read at the end of the article: http://psifidotos.blogspot.com/2019/06/latte-and-flexible-settings.html?m=1

Report

matter-of-course

2 months ago

Could you add an option to customize the menu's font? Right now it seems to depend on "general" as set in KDE's preferences. Something similar to the "digital clock" widget, that has the option to either use the default font or set a custom one.

Report

no1cares

2 months ago

9 9 excellent

Report

paju

3 months ago

can you make it work under wayland?

Report

ferchoj

3 months ago

10 Greath!

Report

dan9er

3 months ago

Cannot build. CMake is showing this error:

```
In file included from /home/dan9er/Projects/applet-window-buttons-0.3/libappletdecoration/appletdecorationplugin.cpp:26:0:
/home/dan9er/Projects/applet-window-buttons-0.3/libappletdecoration/previewclient.h:103:10: error: ‘void Decoration::Applet::PreviewClient::requestShowToolTip(const QString&)’ marked ‘override’, but does not override
void requestShowToolTip(const QString &text) override;
^~~~~~~~~~~~~~~~~~
/home/dan9er/Projects/applet-window-buttons-0.3/libappletdecoration/previewclient.h:104:10: error: ‘void Decoration::Applet::PreviewClient::requestHideToolTip()’ marked ‘override’, but does not override
void requestHideToolTip() override;
^~~~~~~~~~~~~~~~~~
```

Report

C

Psifidotos

3 months ago

This is an error of Window Buttons, why do you report it to AppMenu?

Report

dan9er

3 months ago

crap, omegaderp

Report

volt4ire

3 months ago

9 +

Report

cryogenix

4 months ago

For any debian "commoner" (not sure if this works for arch based distros but I was on KDE Neon) wanting to build this for themselves and are struggling with cmake dependencies, you can do this:

1. Using "apt-file", search for the missing required dependency
e.g. Could not find a package configuration file provided by "ECM" with any of the following names: ECMConfig.cmake

Do this:
$ apt-file search ECMConfig.cmake
extra-cmake-modules: /usr/share/ECM/cmake/ECMConfig.cmake

$ sudo apt install extra-cmake-modules

Repeat this until all dependencies are met and a full install ($ sh install.sh) succeeds

I used all 3 of Michail Vourlakos' AWC suite and totally replaced the no longer supported AWC (https://store.kde.org/p/998910/)
- https://github.com/psifidotos/applet-window-buttons
- https://github.com/psifidotos/applet-window-title
- https://github.com/psifidotos/applet-window-appmenu

Screenshot: https://imgur.com/a/KDQt7cl
Reference: https://askubuntu.com/questions/374755/what-package-do-i-need-to-build-a-qt-5-cmake-application

Report

radwulf

3 months ago

Thank you very much for this. This fixed my problem.

Missing dependencies were:
extra-cmake-modules qtdeclarative5-dev libkf5plasma-dev libqt5x11extras5-dev

Report

vitkrn

4 months ago

Installation went smooth except some warning about anaconda, but adding the widget to panel doesn't actually add it to the panel. No errors. I am on Fedora 29 KDE.

Report

C

Psifidotos

4 months ago

Open a bug issue at the projects page, including the full installation output

Report

radwulf

4 months ago

Could someone help with this installation error?

"""
CMake Error at CMakeLists.txt:15 (find_package):
Could not find a package configuration file provided by "ECM" with any of
the following names:

ECMConfig.cmake
ecm-config.cmake

Add the installation prefix of "ECM" to CMAKE_PREFIX_PATH or set "ECM_DIR"
to a directory containing one of the above files. If "ECM" provides a
separate development package or SDK, be sure it has been installed.
"""

Thanks in advance.

Report

Version 0.5.1 18 days ago

* fix buttons vertical positioning. Previously there were cases where buttons had 1px. difference with surrounding applets

Version 0.5.0 1 month ago

* show app menus also for inactive windows in multi-screen environment through Latte WindowsTracking v0.9 interface
* improve appearance when in Latte edit mode
* use new Latte Communicator API for v0.9

Version 0.4.2 3 months ago

* fix a serious crash for some systems when the user was clicking the menu items Plasma or Latte was crashing
* various improvements for Unity style behavior
* fix behavior with Latte git version dragging/maximizing/restoring active window from panel empty areas
* dont register the global menu service under wayland in order for windows to keep their global menus in their windows
* fix warnings on startup

Version 0.4.1 4 months ago

-- fix not showing menu items for all applications
-- fix RTL menu items alignment

Version 0.4 4 months ago

-- provide a Unity behavior option when used with Window Title v0.4 in latest Latte master
-- support horizontal scrolling
-- improve screen filtering

Version 0.3 6 months ago

- add an option in order to set spacing between menu items
- dont crash under wayland
- in edit mode show a menu sample in order to not show an empty space
- option to always fill maximum available space
- avoid empty QMenu (upstream plasma fix)
- reduce menu items spacing
- support new Latte Communicator mechanism

Version 0.2 8 months ago

- Scroll menu support when the menu is too big
- Option to show menus only from active/main windows
- support Latte painting for single button presentation
- dont hide menu when Latte is in editing mode (needs Latte>=0.9)
- show shortcuts properly when Alt is pressed

Version 0.1 8 months ago

- Minimize-state aware
- Multi-Screen aware
- Support Latte new painting
- based totally on official plasma appmenu applet in order to improve maintainability and code exchange

12345678910
1142
product-maker rokre22 Aug 02 2019 10 the best
10 the best
product-maker giuliv Jul 12 2019 8 great
8 great
product-maker wagner_william Jun 29 2019 9 excellent
9 excellent
product-maker no1cares May 31 2019 9 excellent
9 excellent
product-maker ferchoj May 14 2019 10 the best
Greath!
product-maker volt4ire Apr 25 2019 9 excellent
+
product-maker leirbag Apr 05 2019 9 excellent
+
product-maker joaopauloalbu Mar 01 2019 9 excellent
+
product-maker TaurohtaR Feb 12 2019 9 excellent
Great
product-maker vicko Feb 05 2019 9 excellent
+
product-maker IkiruOG Feb 05 2019 9 excellent
+Great appmenu for my low resolution :D Thanks!
product-maker rplanchuelo Jan 31 2019 9 excellent
+
product-maker michaldybczak Nov 25 2018 9 excellent
+
product-maker jnuutinen Nov 18 2018 9 excellent
+
product-maker koma111 Nov 17 2018 9 excellent
+
product-maker ZaWertun Nov 16 2018 9 excellent
+
product-maker avlas Nov 16 2018 9 excellent
+
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
GPLv2 or later
version
0.5.1
updated Aug 03 2019
added Nov 16 2018
downloads 24h
29
page views 24h 69